Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452106 - PackageKit stuck, not working anymore, need to use YUM
Summary: PackageKit stuck, not working anymore, need to use YUM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 13:12 UTC by Tomasz Sałaciński
Modified: 2008-08-18 09:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-18 09:09:50 UTC


Attachments (Terms of Use)

Description Tomasz Sałaciński 2008-06-19 13:12:38 UTC
Description of problem:

After I've tried to upgrade my system, while PackageKit was downloading updates,
I've lost my internet connection for few seconds. Then, packagekit was stuck on
downloading a package, when I've pressed "Cancel" it's stuck on cancelling the
download.


Version-Release number of selected component (if applicable):

PackageKit 0.1.12

How reproducible:

Actually, I don't know. This is what I did, I don't know if it will happen again.

Steps to Reproduce:
1. Download some updates with PackageKit
2. Unplug the network cable (not disconnect with NetworkManager, just unplug the
cable)
3. Try to cancel the download
  
Actual results:

PackageKit is stuck on "Cancelling"

Expected results:

PackageKit should cancel the download.

Additional info:

The screenshot is available here:

http://dp0154.debowypark.waw.pl/packagekit.png

The first entry that says "Uzyskiwanie aktualizacji (Anulowanie)" means
something like "Fetching updates (Cancelling)". Then it says "Refreshing package
cache memory (Waiting for other tasks to complete" and again "Fetching updates
(Waiting for other tasks to complete)".


I haven't rebooted, though, but it's stuck for 13 days, so I don't think it will
ever start going. I don't know if it's fixed after reboot.

Comment 1 Tomasz Sałaciński 2008-06-19 13:18:20 UTC
Ok, sorry for that, it's fixed after rebooting the machine. Cheers.

Comment 2 Richard Hughes 2008-06-23 10:13:47 UTC
If this ever happens again, can you grab the output of pkmon please. Thanks!

Comment 3 Tomasz Sałaciński 2008-07-02 09:02:44 UTC
Ok, it happened again, unfortunately. I rebooted recently, then I was doing a
lot of stuff with yum and rpm (basically, I removed the Firefox package by using
rpm -e and installed Epiphany, Midori and Compiz packages with yum). And before
I did that, packagekit gave me some updates (listed below).

PKMON output:

[tommy@TommyPC ui]$ pkmon
Tasks:
6;beebcade;data	get-updates:info 
7;acddcabe;data	get-updates:wait 
8;bbacdace;data	get-updates:wait 
9;cabdadea;data	get-updates:wait 
10;eaebbaea;data	get-updates:wait 
11;dcccaecc;data	refresh-cache:wait 

My yum.log file for today:

Jul 02 08:39:42 Updated: selinux-policy-3.3.1-72.fc9.noarch
Jul 02 08:40:11 Updated: selinux-policy-targeted-3.3.1-72.fc9.noarch
Jul 02 08:40:12 Updated: xml-common-0.6.3-24.fc9.noarch
Jul 02 08:40:14 Updated: python-setuptools-0.6c8-1.fc9.noarch
Jul 02 08:40:15 Updated: sgml-common-0.6.3-24.fc9.noarch
Jul 02 08:40:24 Updated: ruby-libs-1.8.6.230-3.fc9.i386
Jul 02 08:40:25 Updated: 2:gimp-libs-2.4.6-1.fc9.i386
Jul 02 08:40:27 Updated: ruby-1.8.6.230-3.fc9.i386
Jul 02 08:40:34 Updated: ghostscript-8.62-4.fc9.i386
Jul 02 08:40:52 Updated: 2:gimp-2.4.6-1.fc9.i386
Jul 02 08:41:11 Updated: 1:gdm-2.22.0-8.fc9.i386
Jul 02 09:33:11 Installed: compiz-0.7.6-2.fc9.i386
Jul 02 09:33:13 Installed: compiz-fusion-0.7.6-1.fc9.i386
Jul 02 09:33:54 Installed: compiz-fusion-gnome-0.7.6-1.fc9.i386
Jul 02 09:38:23 Installed: epiphany-2.22.2-2.fc9.i386
Jul 02 09:51:02 Installed: midori-0.0.18-1.fc9.i386
Jul 02 09:59:30 Installed: cheese-2.22.2-1.fc9.i386
Jul 02 10:03:33 Installed: firefox-3.0-1.fc9.i386
Jul 02 10:32:22 Installed: firefox-3.0-1.fc9.i386

Notice that there is nothing that says about removing firefox here.

I'll try not to reboot, so if you want me to help you finding what is going on,
just post a reply.

Comment 4 Richard Hughes 2008-08-18 09:09:50 UTC
Right, these sort of bugs should be fixed with PackageKit 0.2.x, which are in fedora-updates. Please re-open if you can reproduce with 0.2.x. Thanks.


Note You need to log in before you can comment on or make changes to this bug.